Subject: RE: Problem with database engine on Cygwin
From: "Hannu E K Nevalainen (garbage mail)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Apr 2003 00:15:34 +0200

> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of [email-masked]

> I worked around the issue in my code by closing the offending
> file, renaming
> it to a 20 character pseudo-random string and then deleting it.
> When I did
> that, I had no problem creating another file with the same name.
> The problem
> here is if I happen to get 2 20-character psuedo-random strings that are
> identical (not likely, I know), this is going to fail.
>
> So, I kludged it in a somewhat unclean, albeit functional, way.  Is there
> another workaround that is a little more elegant?

Might it be that this helps?

 $ man 3 mktemp

/Hannu E K Nevalainen, Mariefred, Sweden
--
...
PORTABILITY
       ANSI C does not require either `mktemp'  or  `mkstemp';  the  System
V
       Interface Definition requires `mktemp' as of Issue 2.

          Supporting OS subroutines required: `getpid', `open', `stat'.
...
	mktemp is part of the libc library.
...
	info libc

--END OF MESSAGE--

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/